isdbt_desc_terrestrial_delivery_system Struct Reference
Parsers for several MPEG-TS descriptors

Struct containing the ISDB-T terrestrial delivery system. More...

`#include <desc_isdbt_delivery.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint32_t * | frequency
unsigned | num_freqs
union { |
uint16_t bitfield |
struct { |
uint16_t transmission_mode:2 |
uint16_t guard_interval:2 |
uint16_t area_code:12 |
} |
}; |

## Detailed Description

Struct containing the ISDB-T terrestrial delivery system.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  area_code | area code. The area code definition varies from Country to Country.
  guard_interval | guard interval
  transmission_mode | transmission mode
  frequency | vector with center frequencies
  num_freqs | number of frequencies at the isdbt_desc_terrestrial_delivery_system::frequency vector

Definition at line 57 of file desc_isdbt_delivery.h.

## Field Documentation

## [union]

union { ... } isdbt_desc_terrestrial_delivery_system

## area_code

uint16_t isdbt_desc_terrestrial_delivery_system::area_code

Definition at line 70 of file desc_isdbt_delivery.h.

## bitfield

uint16_t isdbt_desc_terrestrial_delivery_system::bitfield

Definition at line 66 of file desc_isdbt_delivery.h.

## frequency

uint32_t* isdbt_desc_terrestrial_delivery_system::frequency

Definition at line 62 of file desc_isdbt_delivery.h.

## guard_interval

uint16_t isdbt_desc_terrestrial_delivery_system::guard_interval

Definition at line 69 of file desc_isdbt_delivery.h.

## length

uint8_t isdbt_desc_terrestrial_delivery_system::length

Definition at line 59 of file desc_isdbt_delivery.h.

## next

struct dvb_desc* isdbt_desc_terrestrial_delivery_system::next

Definition at line 60 of file desc_isdbt_delivery.h.

## num_freqs

unsigned isdbt_desc_terrestrial_delivery_system::num_freqs

Definition at line 63 of file desc_isdbt_delivery.h.

## transmission_mode

uint16_t isdbt_desc_terrestrial_delivery_system::transmission_mode

Definition at line 68 of file desc_isdbt_delivery.h.

## type

uint8_t isdbt_desc_terrestrial_delivery_system::type

Definition at line 58 of file desc_isdbt_delivery.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_isdbt_delivery.h